package com.xxl.job.executor.common.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxl.job.executor.common.entity.UserAllocation;

import java.util.List;
import java.util.Map;

/**
 * @Description: 用户分配
 * @Author: jeecg-boot
 * @Date: 2019-08-08
 * @Version: V1.0
 */
public interface IUserAllocationService extends IService<UserAllocation> {

    UserAllocation getByAccountId(Long accountId);

    List<UserAllocation> getByParams(Long projectId, String systemType, Integer accountStatus);

    Map<String, Object> getPangolinAccountListByParams(String userId, JSONObject data);

    Map<String, Object> getPangolinProjectListByParams(String userId);

    List<UserAllocation> getByMediaId(String mediaId);

    String getAdvertiserIdByAccountId(Long accountId);

    List<JSONObject> getAccountListByProject(Long projectId);

    List<JSONObject> getUserIdListByProjectId(Long projectId);

    List<JSONObject> getAccountIdListByUserId(Long userId);

    List<UserAllocation> getUserAllocations(String mediaId, int switchType);
}
